Package org.eclipse.lemminx.extensions.contentmodel.commands

## Enum SurroundWithCommand.SurroundWithKind

- java.lang.Object
- - java.lang.Enum<SurroundWithCommand.SurroundWithKind>
  - - org.eclipse.lemminx.extensions.contentmodel.commands.SurroundWithCommand.SurroundWithKind

All Implemented Interfaces:
  `Serializable`, `Comparable<SurroundWithCommand.SurroundWithKind>`

Enclosing class:
  SurroundWithCommand

    public static enum SurroundWithCommand.SurroundWithKind
    extends Enum<SurroundWithCommand.SurroundWithKind>

### Enum Constant Summary

Enum Constants
`cdata`
`comments`
`tags`

### Method Summary

All Methods Static Methods Concrete Methods
`static SurroundWithCommand.SurroundWithKind` `get​(String kind)`
`static SurroundWithCommand.SurroundWithKind` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static SurroundWithCommand.SurroundWithKind[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### tags

    public static final SurroundWithCommand.SurroundWithKind tags

#### comments

    public static final SurroundWithCommand.SurroundWithKind comments

#### cdata

    public static final SurroundWithCommand.SurroundWithKind cdata

### Method Detail

#### values

    public static SurroundWithCommand.SurroundWithKind[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SurroundWithCommand.SurroundWithKind c : SurroundWithCommand.SurroundWithKind.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SurroundWithCommand.SurroundWithKind valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### get

    public static SurroundWithCommand.SurroundWithKind get​(String kind)